<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ym.mec.education.mapper.EmployeeMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ym.mec.education.entity.Employee">
        <id column="user_id_" property="userId" />
        <result column="organ_id_" property="organId" />
        <result column="job_nature_" property="jobNature" />
        <result column="is_probation_period_" property="isProbationPeriod" />
        <result column="education_background_" property="educationBackground" />
        <result column="graduate_school_" property="graduateSchool" />
        <result column="technical_titles_" property="technicalTitles" />
        <result column="entry_date_" property="entryDate" />
        <result column="certificate_type_" property="certificateType" />
        <result column="certificate_num_" property="certificateNum" />
        <result column="update_time_" property="updateTime" />
        <result column="create_time_" property="createTime" />
        <result column="introduction_" property="introduction" />
        <result column="demission_date_" property="demissionDate" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        user_id_, organ_id_, job_nature_, is_probation_period_, education_background_, graduate_school_, technical_titles_, entry_date_, certificate_type_, certificate_num_, update_time_, create_time_, introduction_, demission_date_
    </sql>

</mapper>
